GNU bug report logs - #14456
multibyte: stat's %[X] counts bytes instead of characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN>; dated Thu, 23 May 2013 20:43:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'multibyte: stat's %[X] counts bytes instead of characters' from 'Stat I18N problem with the format string.' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14456 <at> debbugs.gnu.org:


Received: (at 14456) by debbugs.gnu.org; 21 Oct 2018 20:46:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 21 16:46:51 2018
Received: from localhost ([127.0.0.1]:34638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEKcd-0007i6-87
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 16:46:51 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:33531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gEKcb-0007ct-Hd; Sun, 21 Oct 2018 16:46:49 -0400
Received: by mail-pg1-f182.google.com with SMTP id z2-v6so1633439pgp.0;
 Sun, 21 Oct 2018 13:46:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=EfkMgYfnMN+0tRzof+RyLol5LuHwvUvxEq1wnP8B30g=;
 b=FMzBl8SG0jjqgjfksJCKLsLUMdp9pWG3cnsG/9IweXaNLQXTbLWolCsrwk9xRRIU31
 peATxvOtYjAmvDI+dsotOJmpSuTvqg6+80D1Xm9J1LAecI1CYHCz+XHl6UxUjjUoK2Cb
 3OgKOvJ4T++7/ck8sHwaMZhYQ1C+YWnO5yoXufLpVIO3hVbqQZqpUJvI/0iOG/bFcX5d
 m3hGGmV25R6EGr3rGVf8/6+Urf2RutzTmpyT2/D0loXCocdXKB6tldMvOkydd1kRD6fI
 Wx3hzjaIDOj5E3E+wSFoBvZEgimpvbcDsBSlVnv9I8nqBghWBvYvW9etzTEDKmw63WHp
 ogxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=EfkMgYfnMN+0tRzof+RyLol5LuHwvUvxEq1wnP8B30g=;
 b=D+JhZDj7m2VOWDUDo6rtu2sOUS0VqfPQ/bSNXUd83KisAp49KxG65JtjK/2RgUwU1K
 XQ7N7aabgx5Bm6/3GKGyjW6wCFL+kTCRBhNRZx9GiguOzgKbjNgbIhuiI+bMBhsKkDvj
 3KSynwALfdTG5VzxgMI0qNzOr8cyZU+6F41cv4p2Xu/0yT/CciTOnaMyicO87NwwopFF
 QQxblPWML1HEqKTVkibaqVhMNR8Onr0k+f0/yhyzsqO1Y0A8IGB5In/aDtqTnTPzfjD+
 hqz2d0IV3rBxcNCLgLrN69wZ1fQyFFe0LY7rRgcXDAar+x6141j1pKqkBDvrwiBiiK3B
 MUpQ==
X-Gm-Message-State: ABuFfogTaxoHLieBxU3yhbWgnNvugTq/IaVnQ+CjgNtn8iFvYJFEkkKo
 t7pOQetiCq+U41W68dKCE38Ud8zy
X-Google-Smtp-Source: ACcGV62Nppt/zE7blAEy+JG3pHFXnLk+1ZrMMHyoxNgZ/G7wqe/kg3Wocq9OSIdau8pIHn5nGvDNBQ==
X-Received: by 2002:a62:f20f:: with SMTP id
 m15-v6mr42469751pfh.244.1540154802877; 
 Sun, 21 Oct 2018 13:46:42 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 h65-v6sm38511858pgc.88.2018.10.21.13.46.41
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 21 Oct 2018 13:46:41 -0700 (PDT)
Subject: Re: bug#14456: Stat I18N problem with the format string.
To: Errembault Philippe <camion_spam-debrpbg@HIDDEN>, 14456 <at> debbugs.gnu.org
References: <1369341569.41486.YahooMailNeo@HIDDEN>
 <87233be6-f8ec-c2e4-87cb-8019826a8a0e@HIDDEN>
 <886391632.20291719.1540060805240@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <24975f51-c2cc-c88b-5993-9c51a1c4edd0@HIDDEN>
Date: Sun, 21 Oct 2018 14:46:40 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <886391632.20291719.1540060805240@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 14456
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

severity 14456 wishlist
retitle 14456 multibyte: stat's %[X] counts bytes instead of characters
stop

Hello,

On 20/10/18 12:40 PM, Errembault Philippe wrote:
> This has absolutely nothing to do with a translation problem. It is 
> related with the I18N string processing.
> As you can see, the line with the word «répertoire» is one character 
> shorter because the «é» occupies 2 bytes in UTF-8.

Thanks for persisting - it is indeed a bug
and not a translation issue.
(also similar to https://bugs.gnu.org/17196).

-assaf





Information forwarded to bug-coreutils@HIDDEN:
bug#14456; Package coreutils. Full text available.

Message received at 14456 <at> debbugs.gnu.org:


Received: (at 14456) by debbugs.gnu.org; 20 Oct 2018 23:49:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 19:49:22 2018
Received: from localhost ([127.0.0.1]:33620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gE0zi-0003Uh-1N
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:49:22 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:51520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gE0zg-0003UT-T2
 for 14456 <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:49:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8086816005D;
 Sat, 20 Oct 2018 16:49:15 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id CuCVxV_AvM9h; Sat, 20 Oct 2018 16:49:14 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D6A3B160061;
 Sat, 20 Oct 2018 16:49:14 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id w6Rn2Las2xDR; Sat, 20 Oct 2018 16:49:14 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 95E3416005D;
 Sat, 20 Oct 2018 16:49:14 -0700 (PDT)
Subject: Re: bug#14456: This bug is still present and has nothing to do with a
 translation problem. It's an I18N bultibytes characters problem.
To: Errembault Philippe <philippe_errembault@HIDDEN>,
 "14456 <at> debbugs.gnu.org" <14456 <at> debbugs.gnu.org>
References: <735926762.20284405.1540061107407.ref@HIDDEN>
 <735926762.20284405.1540061107407@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <acac6630-efe9-b796-8d34-1058c3038520@HIDDEN>
Date: Sat, 20 Oct 2018 16:49:14 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <735926762.20284405.1540061107407@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14456
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I reopened the bug report.




Information forwarded to bug-coreutils@HIDDEN:
bug#14456; Package coreutils. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 14456 <at> debbugs.gnu.org:


Received: (at 14456) by debbugs.gnu.org; 20 Oct 2018 19:30:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 15:30:09 2018
Received: from localhost ([127.0.0.1]:33458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDwwq-0003jl-Ou
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 15:30:09 -0400
Received: from sonic307-7.consmr.mail.ir2.yahoo.com ([87.248.110.32]:36567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philippe_errembault@HIDDEN>) id 1gDwFP-0002bZ-F0
 for 14456 <at> debbugs.gnu.org; Sat, 20 Oct 2018 14:45:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.fr; s=s2048;
 t=1540061109; bh=FuyBgvKaRoESoQWLqw0WDPwRuDCGnxrlsE8kDz9toHQ=;
 h=Date:From:Reply-To:To:Subject:References:From:Subject;
 b=Bak9IEgpAWs8mmXnjbyrP7leDiwfuDQFzh7r2kSDMB0jJV8fsJGu1KMTpkJfR1EkFsPjpnotWi95YdK7KUvfVIAcVvXqjnZhMEdvN4GHaoAazNccqLA8bZd0i+qdVSdDAoAlmaDCsgEOVsMovK9pWFO1C57oQaRVkQhf7BBc6ohnHwkuHoy3qqyuXTxk7QPelpSnBkuJxcqFFG2FZewlOEj4Z8sJaLI2pI70g2TIbTDpMmrftCKyhciiuuRSPJsma7IoY4LjrfAwTSbPxcGQhfVMRwvFLQWIhOhbZcEgSCNIvuzN8rAtQkaKHw2j7BP8QFyiioRn2mGW5FEYilrhhA==
X-YMail-OSG: 3XI2iUEVM1nP9sH2LmNq9seQnllLqCZ.NSj9hIhCo34.tJe9ukEB0zIh65LVTv_
 dTJ1oLtQpsKj63NawMYYZAaG1rFzH5FV5UVCPHAlhfY3Vgrb8YLct8bCmxSvhxa7p.vHdy3ON81I
 3xlSSLRXkS9XuucXuTbCgwGm392yNLmI7c6ZkEbJXmIAZsPtLsqkCi2nH3bViJq.GI7SFs7CYiWr
 BiQHqD3QB6ErvDmLkiRVWhv2WXSE5i4hFlfKRbc2I9Wx8B98kIDf3mAxS3bk2CUZ1C7SGvXXC21n
 LHEYo220EMLKPy5pk84RMqfjzVfRrPmwczSsfZ0K6WUVpIw8_5faA79DjBGsyTMx78cjryIuFBMO
 pvnE3IyUzydNag8WPu0KXnHF37w5Sf._bVxdcEDj178SSQqUvDtWFoWSiVYFR4qACR4GqBl_ExsF
 WwTYY2yjCe_36xpPPtu4PPzn6hSerfrN7KxDxB99E62x7msxB0F.NaqEXFZNNA.CFE5qwcgCylit
 ynO5pQwPOsNbkjWTU5_6c3SjRGUE15w9YSO9g1I7BVv2bHRsDVWoKHMr2Ly_6yB4dloDmHjLftB9
 BxZyAHbTGWJ8fPTzT9XHgKws8eMjtxUOmIYh3NJaAob72R41Fc8tLg0FUmRSeavaaCsju6FLTa2Q
 cV6JNJsPxJbkECQ4NfNtZx1o_DMh7h5SnBpLAL1lhS65wDDb6J_q7NUXbJtww3FtZKx8bAfT1QXB
 hPp0CtmjqA28n4a2MJw2oIbzPySM4L5tiT.oI892_0gYt2_PzrB2fHLH8bJvcWflBJSgDo3295bX
 EQ4a0Ab8yooV7MS_2tbAWCZPnzW9CHEc0TfAxJJmyBoZoULimxVNGO00YhbiKsW9Zk9THTY1Tmf1
 iFrEFr3PBNYSlRsataBAxppx6yGxswaXrglaODMjqQJSChxwvXTW5WxVsw4qef821MYEtiYeCvqR
 V3DS33pmQa8FrjYWvaRshsvs9MfvPSX8fP.svznZNVNyoDaF.yeWIgzJqDXblsR.LdizjkDr.Eur
 7zcGi8lT0FyL81z4wRtE-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ir2.yahoo.com with HTTP; Sat, 20 Oct 2018 18:45:09 +0000
Date: Sat, 20 Oct 2018 18:45:07 +0000 (UTC)
From: Errembault Philippe <philippe_errembault@HIDDEN>
To: "14456 <at> debbugs.gnu.org" <14456 <at> debbugs.gnu.org>
Message-ID: <735926762.20284405.1540061107407@HIDDEN>
Subject: This bug is still present and has nothing to do with a translation
 problem. It's an I18N bultibytes characters problem.
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_20284404_1819577394.1540061107406"
References: <735926762.20284405.1540061107407.ref@HIDDEN>
X-Mailer: WebService/1.1.12512 YahooMailNeo Mozilla/5.0 (X11; Ubuntu;
 Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0
Content-Length: 1730
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 14456
X-Mailman-Approved-At: Sat, 20 Oct 2018 15:30:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Errembault Philippe <philippe_errembault@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_20284404_1819577394.1540061107406
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

I had forgotten about this problem, but it is still present in the version =
8.25 present on the linux mint 18.3 distribution I'm using right now.This h=
as absolutely nothing to do with a translation problem. It is related with =
the I18N multibytes string processing.
As you can see, the line with the word =C2=ABr=C3=A9pertoire=C2=BB is one c=
haracter shorter because the =C2=AB=C3=A9=C2=BB occupies 2 bytes in UTF-8.
------=_Part_20284404_1819577394.1540061107406
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div style=3D"color:#000; background-color:#fff; f=
ont-family:Helvetica Neue, Helvetica, Arial, Lucida Grande, sans-serif;font=
-size:13px"><div id=3D"yui_3_16_0_ym19_1_1539545173283_124775"><span id=3D"=
yui_3_16_0_ym19_1_1539545173283_124801">I
 had forgotten about this problem, but it is still present in the=20
version 8.25 present on the linux mint 18.3 distribution I'm using right
 now.</span></div><div id=3D"yui_3_16_0_ym19_1_1539545173283_124802">This h=
as absolutely nothing to do with a translation problem. It is related with =
the I18N multibytes string processing.<br id=3D"yui_3_16_0_ym19_1_153954517=
3283_124803" clear=3D"none"><div dir=3D"ltr" id=3D"yui_3_16_0_ym19_1_153954=
5173283_124804"><div dir=3D"ltr" id=3D"yui_3_16_0_ym19_1_1539545173283_1260=
95">As you can see, the line with the word =C2=ABr=C3=A9pertoire=C2=BB is o=
ne character shorter because the =C2=AB=C3=A9=C2=BB occupies 2 bytes in UTF=
-8.</div></div></div></div></body></html>
------=_Part_20284404_1819577394.1540061107406--




Information forwarded to bug-coreutils@HIDDEN:
bug#14456; Package coreutils. Full text available.
bug closed, send any further explanations to 14456 <at> debbugs.gnu.org and "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN> Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14456 <at> debbugs.gnu.org:


Received: (at 14456) by debbugs.gnu.org; 19 Oct 2018 00:36:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 20:36:17 2018
Received: from localhost ([127.0.0.1]:57765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDIm1-0001fT-Lp
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 20:36:17 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:38079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gDIlz-0001fA-7a; Thu, 18 Oct 2018 20:36:15 -0400
Received: by mail-io1-f41.google.com with SMTP id q18-v6so45677iod.5;
 Thu, 18 Oct 2018 17:36:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=Vzx+YJ1PMkPlU3j0NsmGQMI0salSMb4cxmjR22gZEHU=;
 b=hDyx/w/6Tpnnyymu63oOtql3xru/i+S5/62OfcNKwOnrdejvT9VbpqK1RR14JWIIbk
 +2b4SPo3d0PrrGWWhxl2wGBSSEWZuhNS5+Dl3f5SWGhbWCOY5xqfpQ7DolJnY6IgF+n9
 BR73KYaQHBU0NfkBr2IW3Yn5/V85aJl9J8Dr91SD00AOKqbU6HWTsd1X0WcOUdyXeWtx
 xszfnCPelnX3B65wvgmQQtapqE5t9bjk+nBOhtg10Ye5EuIYestEicjwRqFeU+12CdSm
 U9vDUROUf8Hxex1EiTLir5m6Wvj4mlNJDd+/iKukGVaaGxx2vVZPdsdilknVY+IC8rwG
 J8Jw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Vzx+YJ1PMkPlU3j0NsmGQMI0salSMb4cxmjR22gZEHU=;
 b=X4mcUudO+uIg42UkDl4DD8veEzJSTkmCKiWiCYkcSsTvUqBOLoeoH5kWoL/MnrDV5P
 X5ZFEl16PsHprFXFlte+xooAmpRIB4Q5OXXJifluDscQAWQyBCIkRWJ2PiXbC+jgI/Dd
 vQCazmmR+yTeoQqSOipNAYYCA07tn2aCBbMrizpXVi/r2dleoEFqFTGC85z7udgA0rv8
 JpHd5OuuRaf8wFefGQ0Wepe4d+7WtGGpy4Uha1VuAFUje0V99fQxgWnconk3d8aTshVZ
 MMJLG+f5yO7KdREQyRGLiG7vamYojxF0vL91kao/oFGfAMEwUR5UAmU5yvrXOdeNSSXh
 chjQ==
X-Gm-Message-State: AGRZ1gJMwHf1yOCgQxQO18BpSKvCuC0R7tIxdqu00EeBfiF1evfZlZcW
 +VYdF6iOPNdVI4SyEDA48Rq1J5XE4pU=
X-Google-Smtp-Source: AJdET5cCCMluMizcMrGzhbpyGxvXu1+Ejm2vHoxt5BU0aP1+FK0fg6Q1PyiAPWmxvVS0OwE8tBqCwA==
X-Received: by 2002:a6b:4515:: with SMTP id
 s21-v6mr1767348ioa.93.1539909369038; 
 Thu, 18 Oct 2018 17:36:09 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j19-v6sm777331itb.25.2018.10.18.17.36.07
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 18 Oct 2018 17:36:07 -0700 (PDT)
Subject: Re: bug#14456: Stat I18N problem with the format string.
To: "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN>,
 14456 <at> debbugs.gnu.org
References: <1369341569.41486.YahooMailNeo@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <87233be6-f8ec-c2e4-87cb-8019826a8a0e@HIDDEN>
Date: Thu, 18 Oct 2018 18:36:06 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <1369341569.41486.YahooMailNeo@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 14456
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 14456
stop

(triaging old bugs)

Hello,

On 23/05/13 02:39 PM, camion_spam-debrpbg@HIDDEN wrote:
> stat (GNU coreutils) 8.5
> 
> the format string length is counted in bytes and not in characters so that the presence of variable length characters causes misalignment
> 
> In the following example the character 'é' is 2 bytes long :
> $ find . | while read P; do LANG=C stat --printf '%16F 0x%f\n' "$P"; done
>         directory 0x41ed
>     symbolic link 0xa1ff
> 
>      regular file 0x81f6
> $ find . | while read P; do LANG=fr_BE.UTF-8 stat --printf '%16F 0x%f\n' "$P"; done
>       répertoire 0x41ed
>   lien symbolique 0xa1ff
>           fichier 0x81f6
> 

It seems your email "fell between the cracks" and not replied to in many 
years. Sorry about that.

If this is still an issue, please visit the following page to
find the contact person about French translations:

     http://translationproject.org/domain/coreutils.html

As the coreutils' team can't fix translations, I'm closing this item.

regards,
   - assaf




Information forwarded to bug-coreutils@HIDDEN:
bug#14456; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2013 20:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 16:42:44 2013
Received: from localhost ([127.0.0.1]:58835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UfcLT-0004SV-Om
	for submit <at> debbugs.gnu.org; Thu, 23 May 2013 16:42:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51627)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcJd-0004OO-8L
	for submit <at> debbugs.gnu.org; Thu, 23 May 2013 16:40:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcIb-0005O8-Th
	for submit <at> debbugs.gnu.org; Thu, 23 May 2013 16:39:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	HK_RANDOM_ENVFROM,HTML_MESSAGE,RCVD_IN_DNSWL_NONE,T_DKIM_INVALID
	autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52245)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcIb-0005O3-Gl
	for submit <at> debbugs.gnu.org; Thu, 23 May 2013 16:39:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34706)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcIU-0000pW-Aw
	for bug-coreutils@HIDDEN; Thu, 23 May 2013 16:39:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcIO-0005DL-64
	for bug-coreutils@HIDDEN; Thu, 23 May 2013 16:39:38 -0400
Received: from nm17-vm0.bullet.mail.ird.yahoo.com ([77.238.189.214]:44323)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <camion_spam-debrpbg@HIDDEN>) id 1UfcIN-0005Cv-NZ
	for bug-coreutils@HIDDEN; Thu, 23 May 2013 16:39:32 -0400
Received: from [77.238.189.52] by nm17.bullet.mail.ird.yahoo.com with NNFMP;
	23 May 2013 20:39:29 -0000
Received: from [212.82.98.66] by tm5.bullet.mail.ird.yahoo.com with NNFMP;
	23 May 2013 20:39:29 -0000
Received: from [127.0.0.1] by omp1003.mail.ir2.yahoo.com with NNFMP;
	23 May 2013 20:39:29 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 812566.46104.bm@HIDDEN
Received: (qmail 41819 invoked by uid 60001); 23 May 2013 20:39:29 -0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.fr; s=s1024;
	t=1369341569; bh=3HW45GqXHF/sUaqxFwXzhL1PiXs5piUEau8XRPdfWpQ=;
	h=X-YMail-OSG:Received:X-Rocket-MIMEInfo:X-Mailer:Message-ID:Date:From:Reply-To:Subject:To:MIME-Version:Content-Type;
	b=0pwn7QgAT3Q+dPmy55or6Cw/PVfb1goONKqobMeQc9QIDeqkoTBZwSbV0BdFr86aPAzzIb1OAe4oxQwMdphBLAkYm6tIZL6VHf1GMJcuQhBHRZc4OPkVxuUwjF2/WndDblY14ARkTCRMLhkeUceauZplBb9C+lqYeLp9g554g7Y=
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=s1024; d=yahoo.fr;
	h=X-YMail-OSG:Received:X-Rocket-MIMEInfo:X-Mailer:Message-ID:Date:From:Reply-To:Subject:To:MIME-Version:Content-Type;
	b=Oziv8F3IBZMo/tagnd3cNob2EXkh2DJ3mFAHQovLQcKPn2WGs8EuRCmPUSpdFLe8BYU9zaX4+bOYtqyzi5nZQF0luv03VBk/ZAfbvVVBOX1VgL1AwVO56JWVNy5AvpI37sxm1oKUXembN63+Vfm4VwtLjiwv3pZn8vHRP8ZM6wI=;
X-YMail-OSG: F0sBKTAVM1kYNLsUA0YQpBR2NKI6nWpE5XpWCHai9._wYuR
	kHMSCOvW_6iVU4Uy5XPIT31bRWCMBABo7cmjYPATpfJ6U17J5B7o7taCJVMt
	Gvr2dCDrM9nZhTizIOIxcZO.0BbsYifchmkDESbBjvBVre6wNctVKlaCQ.xB
	nj_0iXBpmRBzVQ0myF5saQ7FxhWlEt_fcDT0xiD3.wknoB6dO4PsGAEs3JZN
	WAV0Jz6hv0.IoOjutx2nC2W66Tfqqf1RXKgg3ydN.Hinf9am9TU9GujydwAM
	p04ABP4ZCD6DPZOygI_EKBsliDNmMC6xG1_GIIwHbYiyN2QjtIyQRiRG7OlZ
	BeNe355yHjGLirkHm00_okRa.H8pM4dlgW3o807A617fM0gp.p51XGhbpryV
	Drhv.PALfy9X8r6Qj6lZ2aLTur10TFL5l87.nPrTErj6ZPHDJInbqxohqYR8
	jf3DnQRbkKdIMCpi0e.BGLdernDczWhwlXOqKWWCK7Qw8JugpIAMoNrTfS2U -
Received: from [213.189.160.119] by web133004.mail.ir2.yahoo.com via HTTP;
	Thu, 23 May 2013 21:39:29 BST
X-Rocket-MIMEInfo: 002.001,
	c3RhdCAoR05VIGNvcmV1dGlscykgOC41Cgp0aGUgZm9ybWF0IHN0cmluZyBsZW5ndGggaXMgY291bnRlZCBpbiBieXRlcyBhbmQgbm90IGluIGNoYXJhY3RlcnMgc28gdGhhdCB0aGUgcHJlc2VuY2Ugb2YgdmFyaWFibGUgbGVuZ3RoIGNoYXJhY3RlcnMgY2F1c2VzIG1pc2FsaWdubWVudAoKSW4gdGhlIGZvbGxvd2luZyBleGFtcGxlIHRoZSBjaGFyYWN0ZXIgJ8OpJyBpcyAyIGJ5dGVzIGxvbmcgOsKgCiQgZmluZCAuIHwgd2hpbGUgcmVhZCBQOyBkbyBMQU5HPUMgc3RhdCAtLXByaW50ZiAnJTE2RiAweCVmXG4BMAEBAQE-
X-Mailer: YahooMailWebService/0.8.142.542
Message-ID: <1369341569.41486.YahooMailNeo@HIDDEN>
Date: Thu, 23 May 2013 21:39:29 +0100 (BST)
From: "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN>
Subject: Stat I18N problem with the format string.
To: "bug-coreutils@HIDDEN" <bug-coreutils@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="1259775097-1581924449-1369341569=:41486"
X-detected-operating-system: by eggs.gnu.org: FreeBSD 8.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 23 May 2013 16:42:42 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

--1259775097-1581924449-1369341569=:41486
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

stat (GNU coreutils) 8.5=0A=0Athe format string length is counted in bytes =
and not in characters so that the presence of variable length characters ca=
uses misalignment=0A=0AIn the following example the character '=E9' is 2 by=
tes long :=A0=0A$ find . | while read P; do LANG=3DC stat --printf '%16F 0x=
%f\n' "$P"; done=0A=A0 =A0 =A0 =A0directory 0x41ed=0A=A0 =A0symbolic link 0=
xa1ff=0A=0A=A0 =A0 regular file 0x81f6=0A$ find . | while read P; do LANG=
=3Dfr_BE.UTF-8 stat --printf '%16F 0x%f\n' "$P"; done=0A=A0 =A0 =A0r=E9pert=
oire 0x41ed=0A=A0lien symbolique 0xa1ff=0A=A0 =A0 =A0 =A0 =A0fichier 0x81f6
--1259775097-1581924449-1369341569=:41486
Content-Type: text/html; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

<html><body><div style=3D"color:#000; background-color:#fff; font-family:ti=
mes new roman, new york, times, serif;font-size:12pt"><div><font face=3D"ti=
mes new roman, new york, times, serif">stat (GNU coreutils) 8.5</font></div=
><div style=3D"color: rgb(0, 0, 0); font-size: 16px; font-family: 'times ne=
w roman', 'new york', times, serif; background-color: transparent; font-sty=
le: normal;"><font face=3D"times new roman, new york, times, serif"><br></f=
ont></div><div style=3D"color: rgb(0, 0, 0); font-size: 16px; background-co=
lor: transparent; font-style: normal; font-family: 'times new roman', 'new =
york', times, serif;">the format string length is counted in bytes and not =
in characters so that the presence of variable length characters causes mis=
alignment</div><div style=3D"color: rgb(0, 0, 0); font-size: 16px; backgrou=
nd-color: transparent; font-style: normal; font-family: 'times new roman', =
'new york', times, serif;"><br></div><div style=3D"color: rgb(0, 0, 0); fon=
t-size:
 16px; background-color: transparent; font-style: normal; font-family: 'tim=
es new roman', 'new york', times, serif;">In the following example the char=
acter '=E9' is 2 bytes long :&nbsp;</div><div style=3D"background-color: tr=
ansparent;"><div style=3D"background-color: transparent;"><span style=3D"fo=
nt-family: 'Courier New', courier, monaco, monospace, sans-serif;">$ find .=
 | while read P; do LANG=3DC stat --printf '%16F 0x%f\n' "$P"; done</span><=
/div><div style=3D"background-color: transparent;"><span style=3D"font-fami=
ly: 'Courier New', courier, monaco, monospace, sans-serif;">&nbsp; &nbsp; &=
nbsp; &nbsp;directory 0x41ed</span></div><div style=3D"background-color: tr=
ansparent;"><span style=3D"font-family: 'Courier New', courier, monaco, mon=
ospace, sans-serif; background-color: transparent;">&nbsp; &nbsp;symbolic l=
ink 0xa1ff</span><br></div><div style=3D"background-color: transparent;"><s=
pan style=3D"font-family: 'Courier New', courier, monaco, monospace, sans-s=
erif;">&nbsp;
 &nbsp; regular file 0x81f6</span></div><div style=3D"background-color: tra=
nsparent;"><span style=3D"font-family: 'Courier New', courier, monaco, mono=
space, sans-serif;">$ find . | while read P; do LANG=3Dfr_BE.UTF-8 stat --p=
rintf '%16F 0x%f\n' "$P"; done</span></div><div style=3D"background-color: =
transparent;"><span style=3D"font-family: 'Courier New', courier, monaco, m=
onospace, sans-serif;">&nbsp; &nbsp; &nbsp;r=E9pertoire 0x41ed</span></div>=
<div style=3D"background-color: transparent;"><span style=3D"font-family: '=
Courier New', courier, monaco, monospace, sans-serif;">&nbsp;lien symboliqu=
e 0xa1ff</span></div><div style=3D"background-color: transparent;"><span st=
yle=3D"font-family: 'Courier New', courier, monaco, monospace, sans-serif; =
background-color: transparent;">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;fichier 0=
x81f6</span><br></div><div style=3D"background-color: transparent;"><span s=
tyle=3D"font-family: 'Courier New', courier, monaco, monospace, sans-serif;
 background-color: transparent;">&nbsp;</span><br></div></div></div></body>=
</html>
--1259775097-1581924449-1369341569=:41486--




Acknowledgement sent to "camion_spam-debrpbg@HIDDEN" <camion_spam-debrpbg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#14456; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 21 Oct 2018 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.